> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Product Variant

> A `GET` to the `/products/{productId}/variants/{variantId}` endpoint allows your application to retrieve a specific Product Variant.



## OpenAPI

````yaml get /v3/products/{product}/variants/{variant}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/products/{product}/variants/{variant}:
    get:
      tags:
        - Product Variant
      summary: Read Product Variant
      description: >-
        A `GET` to the `/products/{productId}/variants/{variantId}` endpoint
        allows your application to retrieve a specific Product Variant.
      operationId: products.variants.show
      parameters:
        - name: product
          in: path
          required: true
          description: The product ID
          schema:
            type: integer
        - name: variant
          in: path
          required: true
          description: The variant ID
          schema:
            type: integer
      responses:
        '200':
          description: '`ProductVariant`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProductVariant'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ProductVariant:
      type: object
      properties:
        id:
          type: integer
        product_id:
          type: integer
        sku:
          type: string
        external_id:
          type:
            - string
            - 'null'
        barcode:
          type:
            - string
            - 'null'
        web_url:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        position:
          type: integer
        price:
          type: number
        price_discounted:
          type:
            - number
            - 'null'
        price_comparison:
          type:
            - number
            - 'null'
        price_cost:
          type:
            - number
            - 'null'
        available_quantity:
          type:
            - integer
            - 'null'
        images:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOption'
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      required:
        - id
        - product_id
        - sku
        - external_id
        - barcode
        - web_url
        - handle
        - title
        - description
        - position
        - price
        - price_discounted
        - price_comparison
        - price_cost
        - available_quantity
        - images
        - meta
        - tags
        - options
        - created_at
        - updated_at
        - deleted_at
      title: ProductVariant
    Tag:
      type: string
      title: Tag
    ProductOption:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
      required:
        - name
        - value
        - sort_order
      title: ProductOption
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````